/* Unit test suite for files/directory.c functions

   Copyright 2002 Dmitry Timoshkov, Andriy Palamarchuk

*/ 

#include <windows.h>
#include <string.h>
#include "wt_helper.h"

void test_GetSystemDirectory( void )
{
    
    UINT len, len_with_null;
    char buf[MAX_PATH];

    strcpy( buf, "foo" );
    len_with_null = GetSystemDirectory( buf, 1 );
    ok( strcmp( buf, "foo" ) == 0, "Nothing is copied to the buffer");

    strcpy( buf, "foo" );
    len = GetSystemDirectory( buf, len_with_null - 1 );
    ok( len == len_with_null, "Buffer is too small for the last 0 character" );

    strcpy( buf, "foo" );
    len = GetSystemDirectory( buf, len_with_null );
    ok( strcmp( buf, "foo" ) != 0, "Dir name is retrieved " );
    ok( len == strlen( buf ), "Dir name exactly fits the buffer");
    ok( len == (len_with_null - 1), "Whole dir name is retrieved");
    ok( buf[len] != '\\', "Does not end on the backslash");
}

int main(void)
{
    test_GetSystemDirectory();

    end_tests();
    return 0;
}

